<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
        <record id="view_data_skp_employee_setting_form" model="ir.ui.view">
            <field name="name">skp.employee.settings.form</field>
            <field name="model">skp.employee.settings</field>
            <field name="arch" type="xml">
                <form string="Konfigurasi Penilaian Prestasi Kerja" version="7.0" class="oe_form_configuration">
                    <header>

                    </header>
                    

                    <notebook>
                        <page string="Konfigurasi Penilaian Prestasi Kerja">

                            <group string="Hasil Penilaian Prestasi">

                                <field name="param_target_period_year" class="oe_inline" required="True"/>
                                <field name="param_target_period_month"  class="oe_inline" />
                                <field name="param_all_company" groups="base.group_no_one" />
                                <field name="param_company_id"  domain="[('employee_id_kepala_instansi', '!=',False)]"  attrs="{'required': [('param_all_company','=',False)]}" options="{'no_create': True,'no_open': True}"/>
                                <field name="param_employee_id" domain="[('employee', '=',True),('company_id','=',param_company_id)]"  class="oe_inline" required="False" options="{'no_create': True,'no_open': True}"/>
<!--
                                <field name="param_custom_integer"  class="oe_inline" />
-->

                                <button type="object" name="action_recalculate_monthly" string="Akumulasi Nilai Bulanan " icon="gtk-execute" /> <br/>

                                <!--<field name="param_type"  />-->
                                <!--<field name="param_list_of_ids"  />-->
<!--
                                <button type="object" name="action_recalculate_by_company_monthly_param_all" string="Akumulasi Semua Bulan " icon="gtk-execute" /> <br/>
-->
<!--

                                <button type="object" name="action_recalculate_by_company_monthly_better_optimation" string="Akumulasi Bulanan (Auto)" icon="gtk-execute" class="oe_highlight" /> <br/>
                                <button type="object" name="action_recalculate_by_company_yearly" string="Akumulasi Tahunan " icon="gtk-execute" class="oe_highlight" />
                                <br/><br/><br/>
                                <button type="object" name="action_recalculate_by_company_monthly_optimation" string="Akumulasi Bulanan " icon="gtk-execute" />
                                <br/><br/><br/>
                                <button type="object" name="action_recalculate_by_company_and_year" string="Akumulasi Bulanan Dan Tahunan " icon="gtk-execute" />
                                <br/>-->
                                
                                </group>
                          
                        </page>
                    </notebook>

                </form>
            </field>
        </record>

        <record id="view_notification_skp_employee_process" model="ir.ui.view">
            <field name="name">Notifikasi SKP Employee</field>
            <field name="model">notification.skp.employee.process</field>
            <field name="arch" type="xml">
                <form string="Proses Akumulasi Penilaian Prestasi Kerja" version="7.0">
                    <separator string="Selesai"/>
                    
                    <footer>
                        <div>
                            <button special="cancel" string="OK" class="oe_highlight"/>
                        </div>
                    </footer>
                 </form>
            </field>
      </record>


        <record id="skp_employee_settings_action" model="ir.actions.act_window">
            <field name="name">Konfigurasi Penilaian Prestasi Kerja</field>
            <field name="res_model">skp.employee.settings</field>
            <field name="view_mode">form</field>
            <field name="target">inline</field>
        </record>

        <menuitem id="menu_skp_employee_setting" parent="df_skp_employee.menu_rekapitulasi"  name="Konfigurasi Penilaian Prestasi Kerja"
            sequence="100" action="skp_employee_settings_action"  groups="base.group_no_one" />
    
	</data>
</openerp>